com.google.gwt.aria.client

## Enum GrabbedValue

- java.lang.Object
- - java.lang.Enum<GrabbedValue>
  - - com.google.gwt.aria.client.GrabbedValue

- All Implemented Interfaces:
    AriaAttributeType, java.io.Serializable, java.lang.Comparable<GrabbedValue>

      public enum GrabbedValue
      extends java.lang.Enum<GrabbedValue>
      implements AriaAttributeType

  State enum for 'aria-grabbed' values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FALSE`
    `TRUE`
    `UNDEFINED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAriaValue()`
    `static GrabbedValue` | `of(boolean value)` Gets the enum constant corresponding to `value` for the token type GrabbedValue.
    `static GrabbedValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GrabbedValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRUE

          public static final GrabbedValue TRUE

    - #### FALSE

          public static final GrabbedValue FALSE

    - #### UNDEFINED

          public static final GrabbedValue UNDEFINED

  - ### Method Detail

    - #### values

          public static GrabbedValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GrabbedValue c : GrabbedValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GrabbedValue valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### of

          public static GrabbedValue of(boolean value)

      Gets the enum constant corresponding to `value` for the token type GrabbedValue.
      Parameters:
        `value` - Boolean value for which we want to get the corresponding enum constant.

    - #### getAriaValue

          public java.lang.String getAriaValue()

      Specified by:
        `getAriaValue` in interface `AriaAttributeType`